<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
require_once"../template/isset.php";


echo '<img src="../images/img/partners.gif" alt=""> <b>Регистрация</b><br><br>';

if($config_openreg==1){

if ($provlog!=$_SESSION['log'] || $provpar!=md5($_SESSION['par'])) {

echo 'Регистрация на сайте означает что вы ознакомлены и согласны с <b><a href="pravila.php?'.SID.'">правилами</a></b> нашего сайта<br>';
echo 'Длина логина или пароля должна быть от 3 до 20 символов<br>';
echo 'В полях логин и пароль разрешено использовать только знаки латинского алфавита и цифры, а также знак тире!<br>';


if($config_regkeys==1){
echo'<font color="#FF0000">Включено подтверждение регистрации! Вам на почтовый ящик будет выслан мастер-ключ, который необходим для подтверждения регистрации</font><br>';
}

if($config_karantin>0){
echo'<font color="#FF0000">Включен карантин! Новые пользователи не могут писать сообщения в течении '.round($config_karantin/3600).' часов после регистрации</font><br>';
}

if(!isset($_SESSION['press_kod']) || $_SESSION['press_kod']==""){
$_SESSION['press_kod'] = mt_rand(1000,9999);
}

if($config_themes!="wml"){
echo '<br><form method="post" action="reguser.php?'.SID.'">';
echo 'Логин: <br><input name="logs" maxlength="40" /><br>';
echo 'Пароль: <br><input name="pars" maxlength="20" /><br>';
echo 'Повторите пароль: <br><input name="pars2" maxlength="20" /><br>';
echo 'Ваш e-mail: <br><input name="meil" maxlength="50" /><br>';
echo 'Проверочный код: ';

if($config_protectimg==1){
echo '<img src="../gallery/protect.php?pkod='.xoft_encode($_SESSION['press_kod'],$config_keypass).'" alt=""><br>';
}else{
echo '<b>'.$_SESSION['press_kod'].'</b><br>';
}
echo '<input name="provkod" maxlength="6" />';
echo '<br><input value="Регистрация" name="do" type="submit" /></form><hr>';

}else{

echo 'Логин: <br><input name="logs" maxlength="20"/><br>';
echo 'Пароль: <br><input name="pars" maxlength="20"/><br>';
echo 'Повторите пароль: <br><input name="pars2" maxlength="20"/><br>';
echo 'Ваш е-мэйл: <br><input name="meil" maxlength="50"/><br>';
echo 'Проверочный код: ';

if($config_protectimg==1){
echo '<img src="../gallery/protect.php?pkod='.xoft_encode($_SESSION['press_kod'],$config_keypass).'" alt=""><br>';
}else{
echo '<b>'.$_SESSION['press_kod'].'</b><br>';
}

echo '<input name="provkod" maxlength="6"/><br><br>';

echo '<anchor>Регистрация';
echo '<go href="reguser.php?'.SID.'" method="post">';
echo '<postfield name="logs" value="$(logs)"/>';
echo '<postfield name="pars" value="$(pars)"/>';
echo '<postfield name="pars2" value="$(pars2)"/>';
echo '<postfield name="meil" value="$(meil)"/>';
echo '<postfield name="provkod" value="$(provkod)"/>';
echo '</go></anchor><br>--------------------<br>';
}

echo 'Обновите страницу если вы не видите проверочный код!<br>';
echo 'Все поля обязательны для заполнения, более полную информацию о себе вы можете добавить в своем профиле после регистрации<br>';
echo 'Указывайте верный е-мэйл, на него будут высланы регистрационные данные<br><br>';

}else{echo '<img src="../images/img/error.gif" alt=""> <b>Вы уже регистрировались, нельзя регистрироваться несколько раз</b><br><br>';}
}else{echo '<img src="../images/img/error.gif" alt=""> <b>Регистрация временно приостановлена, пожалуйста зайдите позже!</b><br><br>';}

echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once "../themes/$config_themes/foot.php";
?>